package com.google.ar.core.examples.java.common.framework.model3D;

import com.google.ar.core.Camera;
import com.google.ar.core.examples.java.common.java3d.GraphicsContext3D;
import com.google.ar.core.examples.java.common.java3d.Light;
import com.google.ar.core.examples.java.common.java3d.Node;
import com.google.ar.core.examples.java.common.java3d.Transform3D;

import java.util.ArrayList;

public interface IViewer3D {
	public abstract void surfaceChanged(int width, int height);
	public abstract void onDrawFrame();
	public abstract void updateCamera(Camera camera);
	public abstract void update(ArrayList<Light> lights, BackgroundBox skyBox);
	public abstract void pushTransform(Transform3D t);
	public abstract void popTransform();
	public abstract void draw(Node obj);
}
